bell_mf_tx_state_s Struct Reference

`#include <bell_r2_mf.h>`

## Public Attributes

tone_gen_state_t | tones
int | current_sample
union { |
queue_state_t queue |
uint8_t buf [QUEUE_STATE_T_SIZE(MAX_BELL_MF_DIGITS)] |
} | queue

## Detailed Description

Bell MF generator state descriptor. This defines the state of a single working instance of a Bell MF generator.

## Member Data Documentation

## tones

tone_gen_state_t bell_mf_tx_state_s::tones

The tone generator.

Referenced by bell_mf_tx(), and bell_mf_tx_init().

The documentation for this struct was generated from the following file:

- private/bell_r2_mf.h